%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Mail-DKIM
%define modv   0.33


Summary:       DKIM/DomainKey support for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/J/JA/JASLONG/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.32-install.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jason Long <jason@long.name>
Provides:      perl(Mail::DKIM) = %{modv}
Provides:      perl(Mail::DKIM::Common) = %{modv}
Provides:      perl(Mail::DKIM::Signer) = %{modv}
Provides:      perl(Mail::DKIM::Verifier) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.6.1
BuildRequires: perl(Crypt::OpenSSL::RSA) >= 0.24
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mail::Address)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildArch:     noarch


%description
Mail::DKIM signs/verifies Internet mail with DKIM/DomainKey signatures.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1

# Prepare user scripts
for FILE in dkimsign dkimverify; do
  %{__sed} -e 's:^#!.*:#!%{__perl}:g' scripts/${FILE}.pl >${FILE}
  %{__chmod} +x ${FILE}
done


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog Changes HACKING.DKIM README TODO
%{_bindir}/dkimsign
%{_bindir}/dkimverify
%{perl_vendorlib}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Mon Mar 16 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.33-1
- New version (0.33)

* Sun Nov 16 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.32-1
- Initial build
